/*
Danger from the Deep - Open source submarine simulation
Copyright (C) 2003-2006  Thorsten Jordan, Luis Barrancos and others.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// (environment) environment simulations and physics
// subsim (C)+(W) SEE LICENSE

#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

/*	This class simulates the environment. It know how the world
behaves around ships like buoyance, currents, heat transfer,
	etc.
*/

#include <vector>
#include "physics.h"

///\brief contains all information about how the environment works
class environment
{
	// TODO: Put it in the water class??
	double water_density; // kg/m3 : Changes with salinity and temperature
public:
	environment ();

	// Water specific events
	double lift(std::vector<double>& density, std::vector<double>& occupacy, double volume);
};

#endif
